/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

import React, { useRef } from "react";
import { Tooltip } from "primereact/tooltip";
export const TabGroupCollapsed = props => {
  const ref = useRef(null);
  return /*#__PURE__*/React.createElement("div", {
    ref: ref,
    className: "default-nav-element-collapsed default-nav-group-collapsed w-full flex align-items-center",
    style: {
      width: "100%"
    }
  }, /*#__PURE__*/React.createElement("i", {
    style: {
      cursor: "pointer",
      fontSize: "16px",
      color: props.colors.arrowColor
    },
    className: props.groupTabCollapsed ? "pi pi-chevron-left" : "pi pi-chevron-down"
  }), /*#__PURE__*/React.createElement(Tooltip, {
    content: props.name,
    target: ref,
    id: "hover-image"
  }));
};