/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
import React, { ReactElement } from "react";
import { RouteProps } from "react-router-dom";
import { TranslateFunctionType } from "../../../types/translationFunction";
import { GroupableTabAndContentWrapper } from "./typesWrappers";
import { InjectedOptionsByGroupToWrapper, InjectedOptionsByNavbarToWrapper } from "../types/typesInjectedOptions";
export declare class Group implements GroupableTabAndContentWrapper {
    private _name;
    private _logo;
    private _collapsible;
    private _contentWrappers;
    private _insideGroup;
    constructor(_name: string | ((t: TranslateFunctionType) => string), _logo: ReactElement, _collapsible: boolean, _contentWrappers: GroupableTabAndContentWrapper[]);
    getKey: () => string;
    getRoutes: () => React.ReactElement<RouteProps, string | React.JSXElementConstructor<any>>[];
    getNavbarComponent: (frameworkInjectedOptions: InjectedOptionsByNavbarToWrapper | InjectedOptionsByGroupToWrapper) => import("react/jsx-runtime").JSX.Element;
    get name(): string | ((t: TranslateFunctionType) => string);
    getInsideGroup(): boolean;
    setInsideGroup(insideGroup: boolean): void;
}
