/**
 * Copyright © 2025 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
import "primeflex/primeflex.css";
import "primereact/resources/themes/nova/theme.css";
import "primereact/resources/primereact.css";
import "primeicons/primeicons.css";
import React from "react";
import "./css/constants.css";
import "./css/globalChangesOnPrimeReactComponents.css";
import "./css/globalSettings.css";
import { SettingsMenuOptions } from "./header/settingsMenu";
import { AuthenticationViewProps } from "./authentication/authenticationViewProps";
import { TabAndContentWrapper } from "./navbar/wrappers/typesWrappers";
import { StaticCollapsedState } from "../types/navbarSettingsTypes";
import "./uiLayer.css";
import "./css/fonts.css";
import "./css/darkModeInputsWorkAround.css";
import { HeaderOptions } from "./header/header";
import { UserMenuOptions } from "./header/userMenu";
export interface AuthOptions {
    backgroundImage?: string;
    companyText?: string;
    preventDarkmode?: boolean;
    errorMessages?: {
        passwordErrorMessage?: string;
    };
}
export interface NavbarOptions {
    staticCollapsedState?: StaticCollapsedState;
}
export interface Props {
    tabAndContentWrappers: TabAndContentWrapper[];
    startingPoint: string;
    disableLogin?: boolean;
    disableCookieBanner?: boolean;
    authenticationView?: React.ComponentType<AuthenticationViewProps & any>;
    documentsComponent?: React.ComponentType<any>;
    documentsLabelKey?: string;
    settingsMenuOptions?: SettingsMenuOptions;
    userMenuOptions?: UserMenuOptions;
    headerOptions?: HeaderOptions;
    authOptions?: AuthOptions;
    hideLegalDocuments?: boolean;
    navbarOptions?: NavbarOptions;
    hideNavbar?: boolean;
    customHeader?: React.ComponentType<any>;
}
export declare const UILayer: (props: Props) => import("react/jsx-runtime").JSX.Element;
